/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: SerializationException.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.marshalling;

/**
 * Thrown when there is a failure during Serialization.
 * @author Florent Benoit
 */
public class SerializationException extends Exception {

    /**
     * Serial Version UID.
     */
    private static final long serialVersionUID = -6660972402993030342L;

    /**
     * Constructs a new SerializationException with no detail message.
     */
    public SerializationException() {
        super();
    }

    /**
     * Constructs a new SerializationException with the specified message.
     * @param message the detail message.
     */
    public SerializationException(final String message) {
        super(message);
    }

    /**
     * Constructs a new SerializationException with the specified message and
     * throwable.
     * @param message the detail message.
     * @param t the original cause
     */
    public SerializationException(final String message, final Throwable t) {
        super(message, t);
    }

}
